Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface VariableDeclaration

All Known Implementing Classes:
  GlobalVariableDefinition, JAXPVariable, RangeVariableDeclaration, UndeclaredVariable, XPathVariable, XSLParam, XSLVariable, XSLVariableDeclaration

    public interface VariableDeclaration

Generic interface representing a variable declaration in the static context of an XPath expression. The declaration may be internal or external to the XPath expression itself. An external VariableDeclaration is identified (perhaps created) by the bindVariable() method in the StaticContext.

Method Summary
`int` | `getNameCode()` Get the fingerprint code that identifies the name of the variable
`String` | `getVariableName()` Get the name of the variable for use in diagnostics - a lexical QName
`void` | `registerReference(BindingReference ref)` Method called by a BindingReference to register the variable reference for subsequent fixup.

Method Detail

### registerReference

    void registerReference(BindingReference ref)

  Method called by a BindingReference to register the variable reference for subsequent fixup. This method is called by the XPath parser when each reference to the variable is encountered. At some time after parsing and before execution of the expression, the VariableDeclaration is responsible for calling the two methods setStaticType() and fixup() on each BindingReference that has been registered with it.

### getNameCode

    int getNameCode()

  Get the fingerprint code that identifies the name of the variable

### getVariableName

    String getVariableName()

  Get the name of the variable for use in diagnostics - a lexical QName

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.